Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!

Bug 201661

Summary: Rename (Refactor), Find Usages, Change Function Parameters... doesn't work in Navigator tab
Product: platform Reporter: soldatov <soldatov>
Component: NavigatorAssignee: Jan Peska <JPESKA>
Status: RESOLVED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P2 CC: issues, jtulach, tpavek
Version: 7.1Keywords: REGRESSION
Target Milestone: 7.1   
Hardware: PC   
OS: Solaris   
Whiteboard:
Issue Type: DEFECT Exception Report:
Bug Depends on:    
Bug Blocks: 243724    

Description soldatov 2011-09-06 07:09:42 UTC
NetBeans 7.1

Scenario:
- Create Fractal
- Open fractal.cc
- Call context menu on Mandelbrot(...) in Navigator tab
- Select Rename menu item
===>
The Rename refactoring cannot be applied in this context.
Comment 1 Leonid Lenyashin 2011-09-06 08:54:43 UTC
Is this also applicable for 7.0.1? If so, then it's probably worth fixing in patch too.
Comment 2 Alexander Simon 2011-09-06 09:28:18 UTC
Lookup does not contain lookup of navigator selected node.
Reassign to evaluation.
Comment 3 Alexander Simon 2011-09-06 09:33:44 UTC
NB 7.0.1 does not have this bug.
Comment 4 Tomas Pavek 2011-09-13 14:49:25 UTC
The fix of bug 198705 eliminating duplicities in navigator TC lookup lead to exposing only what comes from the provider's lookup, not automatically adding (expanding) lookups of the provided nodes.

Trying to fix:
http://hg.netbeans.org/core-main/rev/bf41649e9098

For the module owner:
Would be nice to have a test for this. E.g. create a test node that has itself and some other object in its lookup. Then create 1) a panel provider which has only the node in its lookup, and 2) provider that returns the node's lookup (i.e. has both the node and the other object in the lookup).

In both cases NavigatorController.getPanelLookup() should contain the node as well as the other object (case 1 - this bug) and no duplicities (i.e. the node should not be there twice, case 2 - bug 198705).
Comment 5 Quality Engineering 2011-09-14 06:26:48 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/bf41649e9098
User: Tomas Pavek <tpavek@netbeans.org>
Log: #201661: some providers expect that lookup of nodes is also exposed by navigator TC
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo